<template>
  <div v-if="item" class="account-voyage-mark">
    <span class="account-voyage-mark--number">{{number.number}}</span>
    <span class="account-voyage-mark--region">{{number.region}}</span>
  </div>
</template>

<script>
  export default {
    name: "tractor",
    props: {
      item: {
        type: String,
        default: ''
      }
    },
    computed: {
      number() {
        return {
          number: this.item.slice(0,6),
          region: this.item.slice(6, (this.item.length - 1) + 1)
        }
      }
    }
  }
</script>

<style scoped lang="scss">
  .account-voyage-mark {
    display: inline-block;
    vertical-align: top;
    border: 1px solid $color-grey-border;
    border-radius: 2px;
    line-height: 16px;
    letter-spacing: 0.2px;
    text-align: center;
    text-transform: lowercase;
    font-variant: small-caps;
    &--number, &--region {
      padding: 2px 4px;
      display: inline-block;
    }
    &--number {
      width: 64px;
      border-right: 1px solid $color-grey-border;
      font-size: 13px;
    }
    &--region {
      width: 27px;
      font-size: 10px;
    }
  }
</style>